Payslips & compensation
Get Hris Compensation History
Returns an employee's base-salary change history (pending, scheduled, applied) derived from change requests.
GEThttps://api.toku.com/hris/get-hris-compensation-history
Required scope: compensation:read
curl --request GET \
--url 'https://api.toku.com/hris/get-hris-compensation-history?roleInOrgID=%3CroleInOrgID%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"entries": [
{
"hrisChangeRequestId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"state": "PENDING",
"effectiveDate": "string",
"appliedAt": "string",
"requestedAt": "string",
"requestedByName": "string",
"reviewedByName": "string",
"oldSalary": "string",
"newSalary": "string",
"oldCurrency": "string",
"newCurrency": "string",
"oldPaymentType": "string",
"newPaymentType": "string"
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
roleInOrgIDstring<uuid>requiredResponse
200Successful response
entriesobject[]requiredShow child attributes
hrisChangeRequestIdstring<uuid>requiredstatestringrequiredAvailable options: PENDING, SCHEDULED, APPLIED
effectiveDatestring | nullrequiredappliedAtstring | nullrequiredrequestedAtstringrequiredrequestedByNamestring | nullrequiredreviewedByNamestring | nullrequiredoldSalarystring | nullrequirednewSalarystring | nullrequiredoldCurrencystring | nullrequirednewCurrencystring | nullrequiredoldPaymentTypestring | nullrequirednewPaymentTypestring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits